#!/usr/bin/env bash
set -xeuo pipefail

VERSION=$(<VERSION)
IMAGE="dr.zoemp.be/slskd:${VERSION}"

# Préparation du dossier data (config + cache)
mkdir -p data/cache
chmod 770 data data/cache

# Build
docker build --platform linux/amd64 -t "${IMAGE}" -f Dockerfile.cloudron .

# Run en mode dev
docker run --rm -it \
  --platform linux/amd64 \
  -v "$(pwd)/data":/app/data \
  -v "$(pwd)/data/cache":/run/slskd/cache \
  -p 8080:5030 \
  -e DOTNET_BUNDLE_EXTRACT_BASE_DIR=/run/slskd/cache \
  "${IMAGE}"

